Announcement

Collapse
No announcement yet.

PopcornFX Plugin BETA

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #31
    Hey,

    Here is the PopcornFX Plugin v0.5.5 patch

    Includes a few crash fixes.
    And builds for UE 4.8.3 and UE 4.9.0.

    Comment


      #32
      I am downloading now, cheers.

      Comment


        #33
        I cant package a game with popcornfx plugin to standalone client.... for some reason
        Unreal Developer since Unreal Engine 3

        Comment


          #34
          When I try to run UE4 with the PFX plugin, I get the following:

          Running F:/atd/Engine/Binaries/DotNET/UnrealBuildTool.exe allthingsdie Development Win64 -project="F:/atd/allthingsdie.uproject" -editorrecompile -progress -noubtmakefiles
          WARNING: PopcornFX SDK not found, some build might fail
          WARNING: PopcornFX SDK not found, some build might fail

          Is this a known issue? I couldn't find anything in troubleshooting or whatnot. This is preventing me from building the plugin successfully or getting into the editor.

          Using a custom build of the engine based on 4.9.0 and using PopcornFX Plugin 0.5.5 with PopcornFX version 1.8.3.

          I tried to comment out the "return true" that follows that warning and another line is displayed, but it never builds successfully.
          Trent Polack (@mittense)
          Personal Site | Development Blog | Joy Machine

          Comment


            #35
            Hi Trent,

            This is an normal behavior for the BETA, the Plugin is pre-built, no source, no PopcornFX SDK is distributed. So, it means it can only works with the same UE4 version we with have built the Plugin with. So, for the 0.5.5, it will work with the right download (http://www.popcornfx.com/unreal-engine-4/) and UE 4.9.0, 4.9.1, or 4.8.3 from the UE4 Launcher. Also, it is only built for UE4Editor Win64 DebugGame/Development

            UE4 Engine Source might not be compatible, it can work if the Sources are not too much modified and if the build version matches (http://wiki.popcornfx.com/index.php?...nreal_Engine_4), but definitively not recommended.

            However, we plan to release the next major version with the Plugin Sources and a basic PopcornFX SDK, so you will be able to compile with any UE4 version.

            Comment


              #36
              Oh, so it won't work if I have a cloned copy of the repo that I keep and launch from Visual Studio? Because everything I have matches (I went through the installation/troubleshooting like five times) and I tried multiple versions of the plugin and am running Development Editor/Win64.
              Last edited by mittense; 09-27-2015, 07:42 AM.
              Trent Polack (@mittense)
              Personal Site | Development Blog | Joy Machine

              Comment


                #37
                Well, honestly we did not test with cloned source lately, because there is really too much that can go wrong. If the UE build system detects anyhow that the PopcornFX Plugin must be recompile, yes, it will fail, and there is not much that can be done without the Plugin Sources.

                The BETA version is free and only for testing purposes (with the UE4 Launcher Engine version). We hope to get the next major version ready next month, with a lot of changes (some breaking changes). So for now, I highly recommend to only "test" the Plugin. If you have already gone past "testing only", contact us at "ue4 at popcornfx dot com" we'll see what we can do.

                Comment


                  #38
                  I can not install the plugin PopCornFX a little video of explanation would be welcome, explanations on:
                  http://wiki.popcornfx.com/index.php/...n_installation
                  are not very clear.

                  www.passion3d.com

                  Comment


                    #39
                    Hi Jmeletou2014,

                    What is happening ? What did you tried ?

                    We planned to release some videos once we officially Release the Plugin. The Plugin might change till then, so we didn't bother recording tutorials for the BETA.

                    Comment


                      #40
                      I do not know what I'm doing wrong... I can't import nothing ! Help me, please. Click image for larger version

Name:	-AM_B-BxyfA.jpg
Views:	1
Size:	29.3 KB
ID:	1092503 Click image for larger version

Name:	kOIQX6sZDBw.jpg
Views:	1
Size:	29.6 KB
ID:	1092504
                      Attached Files

                      Comment


                        #41
                        zzzlor. На самом деле все работает. Жаль только что, нельзя упаковать свою игру. И зачем ты засунул в движок Unreal этот плагин. Оставь плагин в своем созданном проекте, а с движка (4.8 или 4.9), в папке Plugins убери. Или сделай наоборот, со своего проекта убери а в движке оставь. И еще, плагин 0.5.7 предназначен для Unreal Engine 4.9.2, а для 4.8.3 вроде 0.5.6

                        Comment


                          #42
                          Hi zzzlor,

                          Sorry for the delay. It most probably comes from the Settings "PackMointPoint", as mentioned in the error message boxes.

                          PackMountPoint is the root directory in UE's Content Browser where all imported PopcornFX assets must be imported under.

                          ImportSourcePack is the "real" "physical" directory of your pack, the one in your windows explorer, the one you open with PopcornFX Editor. It's used to auto-import PKFX asset dependencies (textures, meshes, etc...).


                          So, say your "real" source pack ImportSourcePack is "D:\...\MyPopcornFXPack\".

                          And you set PackMountPoint to "/Game" ("/Game" is the true name of the "Content" in UE's Content Browser).

                          Then if you have a "D:\...\MyPopcornFXPack\Particles\MyEffect.pkfx", then it is advise to import it in UE "/Game/Particles/MyEffect.pkfx". And if this pkfx uses, say "D:\...\MyPopcornFXPack\Textures\MyDiffuse.png", asset dependency auto-import will import it in "/Game/Texture/MyDiffuse.png".

                          If you had set PackMountPoint to "/Game/MyPopcornFX", the imported path shall have been "/Game/MyPopcornFX/Particles/MyEffect.pkfx" and "/Game/MyPopcornFX/Texture/MyDiffuse.png".

                          (Also, all assets used by PopcornFX (texture, meshes etc...) must also be under PackMountPoint)

                          Comment


                            #43
                            Hello everybody.

                            Particles made with "PopcornFX" will have trouble not read in "Unreal Engine4".

                            Particle will have been created using the "SamplerShape".
                            It is possible to read as to "Shapetype" a "BOX",Can not be read as to "Mesh".
                            "MeshResources" is a bone-in model that was output by FBX.

                            help me.


                            Specs:
                            · PopcornFX Plugin: 0.5.7
                            · PopcornFX: 1.8.4
                            · UnrealEngine: 4.9.2



                            ※ This article uses the Google translation.
                              I'm sorry in strange English.


                            Click image for larger version

Name:	images.php?file=9612072163.jpg
Views:	1
Size:	679.7 KB
ID:	1093538
                            "BOX" can read but "Mesh" can not be read.

                            Click image for larger version

Name:	images.php?file=8440640019.jpg
Views:	1
Size:	585.9 KB
ID:	1093539
                            PopcornFX is the editor screen. Do you have any doubt?

                            Comment


                              #44
                              This post was answered on the answerhub.

                              For plugin installation/usage issues, please use the answerhub.
                              Hugo Nedelec

                              Programmer - PopcornFX UE4 Plugin

                              Comment


                                #45
                                Hello!

                                I was wondering what was happeing with this plugin, ive been watching alot of videos and read the installation instructions (outdated).
                                the only thing i am getting is a .MAN file instead of a PopcornFX.uplugin.

                                Comment

                                Working...
                                X